Package eu.mhsl.minenet.minigames.command

# Enum Class Commands

java.lang.Object
java.lang.Enum<Commands>
eu.mhsl.minenet.minigames.command.Commands

All Implemented Interfaces:
  `Serializable`, `Comparable<Commands>`, `Constable`

public enum Commands extends Enum<Commands>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEBUG`
  `FLY`
  `GAMEMODE`
  `GC`
  `HUB`
  `LANGTEST`
  `LEAVE`
  `ROOM`
  `UPDATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Commands`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Commands[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HUB

    public static final Commands HUB

  - ### LEAVE

    public static final Commands LEAVE

  - ### DEBUG

    public static final Commands DEBUG

  - ### FLY

    public static final Commands FLY

  - ### GAMEMODE

    public static final Commands GAMEMODE

  - ### GC

    public static final Commands GC

  - ### LANGTEST

    public static final Commands LANGTEST

  - ### ROOM

    public static final Commands ROOM

  - ### UPDATE

    public static final Commands UPDATE

- ## Method Details

  - ### values

    public static Commands[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Commands valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null